Update team member settings
curl --request PUT \
--url https://b2b-api.dev-riseworks.io/v2/teams/{team_nanoid}/member/{user_nanoid}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"withdraw_fee_coverage": true
}
'import requests
url = "https://b2b-api.dev-riseworks.io/v2/teams/{team_nanoid}/member/{user_nanoid}/settings"
payload = { "withdraw_fee_coverage": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({withdraw_fee_coverage: true})
};
fetch('https://b2b-api.dev-riseworks.io/v2/teams/{team_nanoid}/member/{user_nanoid}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Teams
Update team member settings
PUT
/
v2
/
teams
/
{team_nanoid}
/
member
/
{user_nanoid}
/
settings
Update team member settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of a Rise team (a workspace below a company). 15-character nanoid prefixed with te-.
Required string length:
15Pattern:
^te-.*Identifier of a Rise user. 15-character nanoid prefixed with us-.
Required string length:
15Pattern:
^us-.*Body
application/json
Response
Default Response
Available options:
true ⌘I
